Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.client
Interface ClientHandler

All Known Implementing Classes:
  AbstractClientHandler, NullRequestHandler, XMLBeansClientHandler

    public interface ClientHandler

A ClientHandler creates the necessary requestion and response objects from the XML streams. If this is a SOAP invocation, there will be a handler for the header and for the body.

Since:
  Oct 26, 2004
Author:
  Dan Diephouse

Method Summary
`Attachments` | `getAttachments()` Get the attachments to send with the request.
`void` | `handleResponse(javax.xml.stream.XMLStreamReader reader)` Handle the response.
`boolean` | `hasRequest()`
`void` | `writeRequest(javax.xml.stream.XMLStreamWriter writer)` Write the request to the XMLStreamWriter.

Method Detail

### hasRequest

    boolean hasRequest()

  Returns:
    Whether or not there is a request to write.

### writeRequest

    void writeRequest(javax.xml.stream.XMLStreamWriter writer)
                      throws javax.xml.stream.XMLStreamException

  Write the request to the XMLStreamWriter.

  Parameters:
    `writer` -
  Throws:
    `javax.xml.stream.XMLStreamException`

### handleResponse

    void handleResponse(javax.xml.stream.XMLStreamReader reader)
                        throws javax.xml.stream.XMLStreamException,
                               XFireFault

  Handle the response.

  Parameters:
    `reader` -
  Throws:
    `javax.xml.stream.XMLStreamException`
    `XFireFault` - The ClientHandler must create an XFireFault and throw it if a fault occurs.

### getAttachments

    Attachments getAttachments()

  Get the attachments to send with the request.

  Returns:
    Return `null` if there are no attachments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.